<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Standard Meta -->
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">

    <title>Books</title>

    <link rel="stylesheet" type="text/css" href="/assets/semantic-ui/semantic.min.css">

    <style type="text/css">
        body {
            background-color: #efefef;
        }
        body > .grid {
            height: 100%;
        }
        .image {
            margin-top: -100px;
        }
        .column {
            max-width: 450px;
        }
    </style>
</head>
<body>

<noscript>
    You need Javascript for this to work.
</noscript>

<div class="ui middle aligned center aligned grid">
    <div class="column">
        <h2 class="ui blue image header">
            <div class="content">
                Login
            </div>
        </h2>
        <form class="ui large form" id="loginform">
            <div class="ui stacked segment">
                <div class="field">
                    <div class="ui left icon input">
                        <i class="user icon"></i>
                        <input type="text" name="username" placeholder="Username" v-model="username">
                    </div>
                </div>
                <div class="field">
                    <div class="ui left icon input">
                        <i class="lock icon"></i>
                        <input type="password" name="password" placeholder="Password" v-model="password">
                    </div>
                </div>
                <div class="ui fluid large blue submit button">Login</div>
            </div>

            <div class="ui error message"></div>

        </form>
    </div>
</div>

<script src="/assets/js/jquery-3.1.1-min.js"></script>
<script src="/assets/semantic-ui/semantic.min.js"></script>
<script src="/assets/vue.js/vue.js"></script>

<script>
var login = new Vue({
    el: '#loginform',
    data: {

    }
})
</script>

</body>
</html>